Bug 140433 - VERY bad: error during auto partitions during install
VERY bad: error during auto partitions during install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 16:33 EST by Doug Maurer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:15:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maurer 2004-11-22 16:33:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When installing on 4 different machines, 3 having XP installed
the 3 with xp failed with when you select auto partitioning with the
below error.

" 
error partitioning
Could not allocate requested partitions
Unsatisfied partition request
New Part Request: -- mount point: None uniqueID:8
type physical volume (LVM) format:1 badblocks:None
device:None drive ['hdc'] primary:None
start:None end:None migrate:None origfstype:None
"

this was off my laptop, but the other two were desktops

The one that didn't fail didn't have any ntfs or vfat partitions.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install
2.select auto partitions
3.get error
    

Actual Results:  " 
error partitioning
Could not allocate requested partitions
Unsatisfied partition request
New Part Request: -- mount point: None uniqueID:8
type physical volume (LVM) format:1 badblocks:None
device:None drive ['hdc'] primary:None
start:None end:None migrate:None origfstype:None
"

Expected Results:  should repartition the disks with the logical
volumes when selecting auto partitioning.

Additional info:

It seems this only occures with ntfs(XP)/vfat partitions on the same
harddisk.
Comment 1 Jeremy Katz 2004-11-22 16:45:00 EST
Was there any free space on the machines with another OS installed?
Comment 2 Doug Maurer 2004-11-22 17:02:07 EST
the partitioning setup before the install was 

xp 
vfat 
fc2 (except for 1 machine it had fc3test1 with no updates)

no additional space

The machine that worked fine had fc1 only.
Comment 3 Jeremy Katz 2004-11-23 08:45:16 EST
Can you provide the output of print from parted on one of the machines
where this didn't work?
Comment 4 Doug Maurer 2004-11-23 09:00:10 EST
The error above is the only thing that I have. I got by the errors by
manual parting the drives and deleting the logical volume entries.
Comment 5 Jeremy Katz 2005-02-01 22:15:20 EST
clumens fixed this last week.

Note You need to log in before you can comment on or make changes to this bug.